TrustKeeper Scan Engine Update for April 27, 2016

Summary

The latest update to the TrustKeeper scan engine that powers our Trustwave Vulnerability Management product (including both internal and external vulnerability scanning) is now available. Enjoy!

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

Oracle

PHP

  • PHP Denial of Service or information disclosure in PHAR extension (phar_parse_zipfile function in zip.c) (CVE-2016-3142)
  • PHP Denial of Service via use-after-free vulnerability in WDDX extension (CVE-2016-3141)

Samba

  • Denial of service vulnerability in Samba Active Directory server (CVE-2015-3223)
  • Denial of Service vulnerability in Samba with Windows Domain Controller (CVE-2015-8467)
  • Insufficient symlink verification in the Samba daemon (CVE-2015-5252)
  • Missing access control check in the Samba vfs_shadow_copy2 module (CVE-2015-5299)
  • Remote Denial of Server in Samba with an Active Directory LDAP server (CVE-2015-7540)
  • Remote memory read attack in Samba LDAP server (CVE-2015-5330)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates automatically as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.